<template>

  <div class="flex flex-wrap content-center">
    <a @click="$router.go(-1)">back</a>

    <div class="w-full sm:w-2/2">
      <h1 class="text-3xl m-2">Panier</h1>
    </div>

    <div class="w-full sm:w-1/2 md:w-1/3 lg:w-1/3 xl:w-1/3 mb-4">
      <div class="-my-2 overflow-x-auto sm:-mx-6 lg:-mx-8">
        <div class="py-2 align-middle inline-block min-w-full sm:px-6 lg:px-8">
          <div
            class="shadow overflow-hidden border-b border-gray-200 sm:rounded-lg"
          >
            <table class="min-w-full divide-y divide-gray-200">
              <thead class="bg-gray-50">
                <tr>
                  <th
                    scope="col"
                    class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider"
                  >
                    Name
                  </th>
                  <th
                    scope="col"
                    class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider"
                  >
                    Title
                  </th>
                  <th
                    scope="col"
                    class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider"
                  >
                    Status
                  </th>
                  <th
                    scope="col"
                    class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider"
                  >
                    Role
                  </th>
                  <th scope="col" class="relative px-6 py-3">
                    <span class="sr-only">Edit</span>
                  </th>
                </tr>
              </thead>
              <tbody class="bg-white divide-y divide-gray-200">
                <tr v-for="item in orders" :key="item.id">
                  <td class="px-6 py-4 whitespace-nowrap">
                    <div class="flex items-center">
                      <div class="flex-shrink-0 h-10 w-10">
                        <img
                          class="h-10 w-10 rounded-full"
                          src=""
                          alt=""
                        />
                      </div>
                      <div class="ml-4">
                        <div class="text-sm font-medium text-gray-900">
                          {{ item.id }}
                        </div>
                        <div class="text-sm text-gray-500">
                          eeeeee
                        </div>
                      </div>
                    </div>
                  </td>
                  <td class="px-6 py-4 whitespace-nowrap">
                    <div class="text-sm text-gray-900">eeeeeee</div>
                    <div class="text-sm text-gray-500">
                      eeeeeee
                    </div>
                  </td>
                  <td class="px-6 py-4 whitespace-nowrap">
                    <span
                      class="px-2 inline-flex text-xs leading-5 font-semibold rounded-full bg-green-100 text-green-800"
                    >
                      Active
                    </span>
                  </td>
                  <td class="px-6 py-4 whitespace-nowrap text-sm text-gray-500">
                    eeeeee
                  </td>
                  <td
                    class="px-6 py-4 whitespace-nowrap text-right text-sm font-medium"
                  >
                    <a href="#" class="text-indigo-600 hover:text-indigo-900"
                      >Edit</a
                    >
                  </td>
                </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
    <div v-if="logged" class="w-full sm:w-1/2 md:w-1/3 lg:w-1/3 xl:w-1/3 mb-4">
      <div class="w-full content-center">
        <h1 class="text-3xl m-10">Mes informations</h1>

        <br /><br />

        <div v-if="error" class="error_alert border-l-4 p-2 m-10" role="alert">
          <p class="font-bold">Une erreur est survenue ...</p>
          <br />
          <p>{{ error }}</p>
        </div>

        <form
          ref="form"
          :model="form"
          class="w-full self-center p-5"
        >
          <div class="flex flex-wrap md:items-center mb-6">
            <div class="md:w-1/4">
              <label
                class="block text-white-700 text-sm font-bold mb-2"
                for="print"
                style="float: right;"
              >
                Support
              </label>
            </div>
            <div class="md:w-3/4"></div>
          </div>

          <div class="flex flex-wrap md:items-center mb-6">
            <div class="md:w-1/4">
              <label
                class="block text-white-700 text-sm font-bold mb-2"
                for="format"
                style="float: right;"
              >
                Format
              </label>
            </div>
            <div class="md:w-3/4"></div>
          </div>

          <div class="flex flex-wrap md:items-center mb-6">
            <div class="md:w-1/4">
              <label
                class="block text-white-700 text-sm font-bold mb-2"
                for="quantity"
                style="float: right;"
              >
                Quantity
              </label>
            </div>
            <div class="md:w-3/4">
              <input
                @change="setPrice($event)"
                v-model="form.quantity"
                type="number"
                id="quantity"
                name="quantity"
                step="1"
                min="1"
                max="5"
                style="color:black;"
              />
            </div>
          </div>

          <div class="flex flex-wrap md:items-center mb-6">
            <div class="md:w-1/4">
              <label
                class="block text-white-700 text-sm font-bold mb-2"
                for="quantity"
                style="float: right;"
              >
                Prix ttc :
              </label>
            </div>
            <div class="md:w-3/4">
              <p>{{ form.price }}€</p>
            </div>
          </div>

          <div class="flex flex-wrap md:items-center mb-10">
            <br /><br />
            <div class="md:w-1/4"></div>
            <div class="md:w-3/4">
              <button
                class="shadow btn_submit focus:shadow-outline focus:outline-none text-white font-bold py-2 px-4 rounded"
                type="button"
                @click="addToCart()"
              >
                Ajouter au panier
              </button>
            </div>
          </div>
        </form>
        
      </div>
    </div>
  </div>
</template>

<script>
import { mapActions, mapState } from "vuex";

export default {
  name: "Profile",
  data() {
    return {
      form: {
        print: "",
        format: {},
        options_format: "",
        quantity: 1,
        price: 0,
      },
      form_error: {
        print: false,
        format: false,
      },
      error: false,
    };
  },
  props: {
    msg: String,
  },
  methods: {
    ...mapActions({
      fetchAllOrder: "order/fetchAllOrder",
    }),
  },
  computed: {
    ...mapState({
      orders: (state) => state.order.orders,
    }),
  },
  mounted() {
    this.fetchAllOrder();
    console.log(this.orders);
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.image {
  width: 25%;
}
</style>
